-- with window3_pkg; use window3_pkg;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Strings; use Ada.Strings;
with ustrings; use ustrings;
with Pg2;
with Ada.Text_IO; use Ada.Text_IO;

package body sql is

	-- package Pg is new Pg2("dbname=firma user=adi");

	-- connect to DB --

	procedure initialize is

	begin
		null;
	end initialize;

	-- execute an SQL-query --

	procedure do_query (Command : in String; ergebnis : in out Pg.Result_Type) is
		Command_US : constant unbounded_String :=
			To_Unbounded_String(Command);
	begin
		Pg.Submit(Command_US,ergebnis);
	end do_query;

	procedure forget (what : in out Pg.Result_Type) is
	begin
		Pg.Forget(what);
	end forget;

	procedure run is
		ergebnis : Pg.Result_Type;
	begin
		do_query("set DATESTYLE to 'German';",ergebnis);
		forget(ergebnis);
		Initialize;
	end run;

end sql;
